Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Interface CryptoProObjectIdentifiers

public interface CryptoProObjectIdentifiers

Field Summary
`static DERObjectIdentifier` | `gost_ElSgDH3410_1`
`static DERObjectIdentifier` | `gost_ElSgDH3410_default`
`static java.lang.String` | `GOST_id`
`static DERObjectIdentifier` | `gostR28147_cbc`
`static DERObjectIdentifier` | `gostR3410_2001`
`static DERObjectIdentifier` | `gostR3410_2001_CryptoPro_A`
`static DERObjectIdentifier` | `gostR3410_2001_CryptoPro_B`
`static DERObjectIdentifier` | `gostR3410_2001_CryptoPro_C`
`static DERObjectIdentifier` | `gostR3410_2001_CryptoPro_XchA`
`static DERObjectIdentifier` | `gostR3410_2001_CryptoPro_XchB`
`static DERObjectIdentifier` | `gostR3410_94`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_A`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_B`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_C`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_D`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_XchA`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_XchB`
`static DERObjectIdentifier` | `gostR3410_94_CryptoPro_XchC`
`static DERObjectIdentifier` | `gostR3411`
`static DERObjectIdentifier` | `gostR3411_94_CryptoProParamSet`
`static DERObjectIdentifier` | `gostR3411_94_with_gostR3410_2001`
`static DERObjectIdentifier` | `gostR3411_94_with_gostR3410_94`

Field Detail

### GOST_id

    public static final java.lang.String GOST_id

### gostR3411

    public static final DERObjectIdentifier gostR3411

### gostR28147_cbc

    public static final DERObjectIdentifier gostR28147_cbc

### gostR3410_94

    public static final DERObjectIdentifier gostR3410_94

### gostR3410_2001

    public static final DERObjectIdentifier gostR3410_2001

### gostR3411_94_with_gostR3410_94

    public static final DERObjectIdentifier gostR3411_94_with_gostR3410_94

### gostR3411_94_with_gostR3410_2001

    public static final DERObjectIdentifier gostR3411_94_with_gostR3410_2001

### gostR3411_94_CryptoProParamSet

    public static final DERObjectIdentifier gostR3411_94_CryptoProParamSet

### gostR3410_94_CryptoPro_A

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_A

### gostR3410_94_CryptoPro_B

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_B

### gostR3410_94_CryptoPro_C

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_C

### gostR3410_94_CryptoPro_D

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_D

### gostR3410_94_CryptoPro_XchA

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_XchA

### gostR3410_94_CryptoPro_XchB

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_XchB

### gostR3410_94_CryptoPro_XchC

    public static final DERObjectIdentifier gostR3410_94_CryptoPro_XchC

### gostR3410_2001_CryptoPro_A

    public static final DERObjectIdentifier gostR3410_2001_CryptoPro_A

### gostR3410_2001_CryptoPro_B

    public static final DERObjectIdentifier gostR3410_2001_CryptoPro_B

### gostR3410_2001_CryptoPro_C

    public static final DERObjectIdentifier gostR3410_2001_CryptoPro_C

### gostR3410_2001_CryptoPro_XchA

    public static final DERObjectIdentifier gostR3410_2001_CryptoPro_XchA

### gostR3410_2001_CryptoPro_XchB

    public static final DERObjectIdentifier gostR3410_2001_CryptoPro_XchB

### gost_ElSgDH3410_default

    public static final DERObjectIdentifier gost_ElSgDH3410_default

### gost_ElSgDH3410_1

    public static final DERObjectIdentifier gost_ElSgDH3410_1

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD